#ifndef ABOUTDIALOG_H
#define ABOUTDIALOG_H

#include <QTabWidget>
#include <QTextBrowser>
#include <QLayout>
#include <QDialog>
#include <QPushButton>
#include <QString>
#include <QMessageBox>

class AboutTextBrowser;
/////////////////////////////////////////////////////////////////////////////
class AboutDialog :public QDialog
{
	Q_OBJECT

public:
	AboutDialog(QWidget* parent = 0, const char* name = 0);

private:
	QTabWidget *tabs;
	AboutTextBrowser *credits;
	AboutTextBrowser *license;

	QLayout *mainLayout;
	QLayout *topLayout;
	QLayout *bottomLayout;
	QPushButton *okbutton;
	
};

class AboutTextBrowser : public QTextBrowser
{
  Q_OBJECT;
 public:
  AboutTextBrowser(QWidget *parent, const char *name = 0);
 public slots:
	virtual void setSource(const QUrl &url);
};

#endif
